package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.AdjustDetail;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface AdjustDetailDAO {
	int insert(AdjustDetail entity);
	int update(AdjustDetail entity);
	int exist(String id);
	AdjustDetail get(String id);
	int delete(String id);
	List<AdjustDetail> list();
	List<AdjustDetail> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<AdjustDetailDAO> pageSearchDTO(Map<String, Object> searchParams, List<Sort> sortList);
}