package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.dto.ApportionDetailDTO;
import com.jpsoft.campus.modules.base.entity.ApportionDetail;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface ApportionDetailDAO {
	int insert(ApportionDetail entity);
	int update(ApportionDetail entity);
	int exist(String id);
	ApportionDetail get(String id);
	int delete(String id);
	List<ApportionDetail> findByStudentId(String studentId);
	List<ApportionDetail> list();
	List<ApportionDetail> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<ApportionDetailDTO> pageSearchDTO(Map<String, Object> searchParams, List<Sort> sortList);
}