package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.ApprovalInfo;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface ApprovalInfoDAO {
	int insert(ApprovalInfo entity);
	int update(ApprovalInfo entity);
	int exist(String id);
	ApprovalInfo get(String id);
	int delete(String id);
	List<ApprovalInfo> list();
	List<ApprovalInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<ApprovalInfo> findByApplicationId(String applicationId);
	List<ApprovalInfo> findByApplicationIdAndOperation(String applicationId,String operation);
}