package com.jpsoft.campus.modules.base.dao;

import com.jpsoft.campus.modules.base.entity.EnrollControl;
import com.jpsoft.campus.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-17 13:18
 */
@Repository
public interface EnrollControlDAO {

    int insert(EnrollControl entity);
    int update(EnrollControl entity);
    int exist(String id);
    EnrollControl get(String id);
    int delete(String id);
    List<EnrollControl> list();
    List<EnrollControl> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<EnrollControl> findBySchoolTypeAndStudentType(String schoolType, String studentType);
}
