package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.NewsInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface NewsInfoDAO {
	int insert(NewsInfo entity);
	int update(NewsInfo entity);
	int exist(String id);
	NewsInfo get(String id);
	int delete(String id);
	List<NewsInfo> list();
	List<NewsInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<NewsInfo> findByTypeAndStatus(@Param("type") String type, @Param("status") String status);
}