package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.OfferInfo;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface OfferInfoDAO {
	int insert(OfferInfo entity);
	int update(OfferInfo entity);
	int exist(String id);
	OfferInfo get(String id);
	int delete(String id);
	int findMaxSerialNum(String schoolId,String enrollmentType);
	List<OfferInfo> list();
	List<OfferInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}