package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.PersonInfo;
import org.springframework.stereotype.Repository;

import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface PersonInfoDAO {
	int insert(PersonInfo entity);
	int update(PersonInfo entity);
	int exist(String id);
	PersonInfo get(String id);
	int delete(String id);
	List<PersonInfo> list();
	List<PersonInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    PersonInfo findByPhone(String phone);

    PersonInfo findByOpenId(String openId);

    PersonInfo findByIdCard(String idCard);
	PersonInfo findByUiasId(String uiasId);
	PersonInfo findByUserId(String userId);
}