package com.jpsoft.campus.modules.base.dao;

import com.jpsoft.campus.modules.base.entity.SchoolInfo;
import com.jpsoft.campus.modules.base.entity.SchoolRelation;
import com.jpsoft.campus.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-2 14:32
 */
@Repository
public interface SchoolRelationDAO {

    int insert(SchoolRelation entity);
    int update(SchoolRelation entity);
    int exist(String id);
    SchoolRelation get(String id);
    int delete(String id);
    List<SchoolRelation> list();
    List<SchoolRelation> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<SchoolRelation> findByPrimaryId(String primaryId);
}
