package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.StudentFiles;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface StudentFilesDAO {
	int insert(StudentFiles entity);

	int update(StudentFiles entity);

	int exist(String id);

	StudentFiles get(String id);

	int delete(String id);

	List<StudentFiles> list();

	List<StudentFiles> search(Map<String, Object> searchParams, List<Sort> sortList);

	List<StudentFiles> findByApplicationIdAndFileType(String applicationId, String fileType);

	int deleteByApplicationIdAndFileType(String applicationId, String fileType);

	List<String> findUrlByApplicationIdAndFileType(String applicationId, String fileType);
}