package com.jpsoft.campus.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class ApportionDetailDTO implements Serializable {
    @ApiModelProperty(value = "编号")
    private String id;
    @ApiModelProperty(value = "学生姓名")
    private String studentName;
    @ApiModelProperty(value = "学生证件类型")
    private String studentCardType;
    @ApiModelProperty(value = "学生证件号码")
    private String studentIdCard;
    @ApiModelProperty(value = "报名类型")
    private String typeName;
    @ApiModelProperty(value = "报名学校")
    private String schoolName;
    @ApiModelProperty(value = "报名状态")
    private String statusName;
    @ApiModelProperty(value = "预录取学校")
    private String offerName;
    @ApiModelProperty(value = "派位结果")
    private String winner;
}
