package com.jpsoft.campus.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_apportion的实体类
 */
@Data
@ApiModel(value = "base_apportion的实体类")
public class Apportion {
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private String id;
	/**
	 *学校ID
	 */
        @ApiModelProperty(value = "学校ID")
	private String schoolId;
	private String schoolName;
	/**
	 *报名类型(A,B,C)
	 */
        @ApiModelProperty(value = "报名类型(A,B,C)")
	private String type;
	private String typeName;
	/**
	 *删除标示
	 */
        @ApiModelProperty(value = "删除标示")
	private Boolean delFlag = false;
	/**
	 *创建人
	 */
        @ApiModelProperty(value = "创建人")
	private String createBy;
	private String createByName;
	/**
	 *创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *更新人
	 */
        @ApiModelProperty(value = "更新人")
	private String updateBy;
	/**
	 *更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
}