package com.jpsoft.campus.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_collect的实体类
 */
@Data
@ApiModel(value = "base_collect的实体类")
public class Collect {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "学生ID")
    private String studentId;
        @ApiModelProperty(value = "注册用户(家长)ID")
    private String personId;
        @ApiModelProperty(value = "类型1是否参与")
    private Boolean bit1;
        @ApiModelProperty(value = "")
    private String text1;
        @ApiModelProperty(value = "类型2参与家长姓名")
    private String text2;
        @ApiModelProperty(value = "类型3电话")
    private String text3;
        @ApiModelProperty(value = "类型4关系")
    private String text4;
        @ApiModelProperty(value = "类型5")
    private String text5;
        @ApiModelProperty(value = "删除标示")
    private Boolean delFlag;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}