package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.dto.ApplicationMiddleDTO;
import com.jpsoft.campus.modules.base.entity.ApplicationMiddle;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface ApplicationMiddleService {
	ApplicationMiddle get(String id);
	boolean exist(String id);
	int insert(ApplicationMiddle model);
	int update(ApplicationMiddle model);
	int delete(String id);
	List<ApplicationMiddle> list();
	Page<ApplicationMiddle> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<ApplicationMiddleDTO> pageSearchDTO(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	List<ApplicationMiddle> findByPersonId(String personId);
	boolean existByIdCard(String idCard, String applicationId);

	List<ApplicationMiddle> findByStudentId(String id);
}