package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.dto.ApplicationPrimaryDTO;
import com.jpsoft.campus.modules.base.entity.ApplicationPrimary;
import com.jpsoft.campus.modules.base.entity.UserInformationCity;
import com.jpsoft.campus.modules.base.entity.UserInformationProvincial;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface ApplicationPrimaryService {
	ApplicationPrimary get(String id);
	boolean exist(String id);
	int insert(ApplicationPrimary model);
	int update(ApplicationPrimary model);
	int delete(String id);
	List<ApplicationPrimary> list();
	Page<ApplicationPrimary> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<ApplicationPrimaryDTO> pageSearchDTO(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<ApplicationPrimary> findByPersonId(String personId);
    boolean existByIdCard(String idCard, String applicationId);

	List<ApplicationPrimary> findByStudentId(String id);
	ApplicationPrimary findByStudentNameAndIdCard(String studentName, String idCard,String schoolId);

	List<ApplicationPrimary> findByIds(List<String> ids);
	List<UserInformationCity> findOffice();

	ApplicationPrimary findByOfficeCode(String officeCode);

	List<UserInformationProvincial> findOfficeByProvincial(Integer limit);
}