package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.ApprovalInfo;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface ApprovalInfoService {
	ApprovalInfo get(String id);
	boolean exist(String id);
	int insert(ApprovalInfo model);
	int update(ApprovalInfo model);
	int delete(String id);
	List<ApprovalInfo> list();
	Page<ApprovalInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	List<ApprovalInfo> findByApplicationId(String applicationId);
	List<ApprovalInfo> findByApplicationIdAndOperation(String applicationId,String operation);
}