package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.NewsInfo;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface NewsInfoService {
	NewsInfo get(String id);
	boolean exist(String id);
	int insert(NewsInfo model);
	int update(NewsInfo model);
	int delete(String id);
	List<NewsInfo> list();
	Page<NewsInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<NewsInfo> findByTypeAndStatus(String type,String status);
}