package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.campus.modules.base.entity.OfferInfo;
import com.jpsoft.campus.modules.common.dto.Sort;
import com.github.pagehelper.Page;

public interface OfferInfoService {
	OfferInfo get(String id);
	boolean exist(String id);
	int insert(OfferInfo model);
	int update(OfferInfo model);
	int delete(String id);
	int findMaxSerialNum(String schoolId,String enrollmentType);
	List<OfferInfo> list();
	Page<OfferInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}