package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.PersonInfo;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface PersonInfoService {
	PersonInfo get(String id);
	boolean exist(String id);
	int insert(PersonInfo model);
	int update(PersonInfo model);
	int delete(String id);
	List<PersonInfo> list();
	Page<PersonInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    PersonInfo findByPhone(String phone);
    PersonInfo findByOpenId(String openId);
    PersonInfo findByIdCard(String idCard);
	PersonInfo findByUiasId(String uiasId);
	PersonInfo findByUserId(String userId);
	Map findUiasUserByToken(String token);
}