package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.campus.modules.base.entity.SchoolNumber;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface SchoolNumberService {
	SchoolNumber get(String id);
	boolean exist(String id);
	int insert(SchoolNumber model);
	int update(SchoolNumber model);
	int delete(String id);
	List<SchoolNumber> list();
	Page<SchoolNumber> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	List<SchoolNumber> findByEnrollmentType(String enrollmentType);
	List<SchoolNumber> findHaveNumberBySchoolId(String enrollmentType,String schoolId);
	List<SchoolNumber> findAllHaveNumber();
	int findNumByHaveNumber();
}