package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.StudentFiles;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface StudentFilesService {
	StudentFiles get(String id);
	boolean exist(String id);
	int insert(StudentFiles model);
	int update(StudentFiles model);
	int delete(String id);
	List<StudentFiles> list();
	Page<StudentFiles> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	List<StudentFiles> findByApplicationIdAndFileType(String applicationId, String fileType);
    int deleteByApplicationIdAndFileType(String applicationId, String fileType);
	List<String> findUrlByApplicationIdAndFileType(String applicationId, String fileType);
}