package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.StudentInfo;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface StudentInfoService {
	StudentInfo get(String id);
	boolean exist(String id);
	int insert(StudentInfo model);
	int update(StudentInfo model);
	int delete(String id);
	List<StudentInfo> list();
	Page<StudentInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    StudentInfo findByIdCard(String idCard);
}