package com.jpsoft.campus.modules.sys.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:sys_data_dictionary的实体类
 */
@Data
public class DataDictionary {
	/**
	 * 学生相关证明
	 */
	public static final String STUDENT_RELATED_CERT_ID = "f63a5ca8-ec0e-4987-ac9c-a8787f6026c4";

	private String id;
	private String name;
	private String value;
	private Integer sortNo;
	private String parentName;
	private String parentId;
	private String dataType;
	private String createBy;
	private Date createDate;
	private String updateBy;
	private Date updateDate;
	private Boolean activated;
	private Boolean delFlag;
	@ApiModelProperty(value = "扩展字段1")
	private String extended1;
	@ApiModelProperty(value = "扩展字段2")
	private String extended2;
	@ApiModelProperty(value = "扩展字段3")
	private String extended3;
}