package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.dto.ApplicationMiddleDTO;
import com.jpsoft.campus.modules.base.entity.ApplicationMiddle;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface ApplicationMiddleDAO {
	int insert(ApplicationMiddle entity);
	int update(ApplicationMiddle entity);
	int exist(String id);
	ApplicationMiddle get(String id);
	int delete(String id);
	List<ApplicationMiddle> list();
	List<ApplicationMiddle> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<ApplicationMiddleDTO> searchDTO(Map<String, Object> searchParams, List<Sort> sortList);
	List<ApplicationMiddle> findByPersonId(String personId);
	long existByIdCard(String idCard, String applicationId);

    List<ApplicationMiddle> findByStudentId(String id);
}