package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.Apportion;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface ApportionDAO {
	int insert(Apportion entity);
	int update(Apportion entity);
	int exist(String id);
	Apportion get(String id);
	int delete(String id);
	List<Apportion> list();
	List<Apportion> search(Map<String, Object> searchParams, List<Sort> sortList);
}