package com.jpsoft.campus.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.campus.modules.base.entity.Collect;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface CollectDAO {
	int insert(Collect entity);
	int update(Collect entity);
	int exist(String id);
	Collect get(String id);
	int delete(String id);
	List<Collect> list();
	List<Collect> search(Map<String,Object> searchParams,List<Sort> sortList);
	Collect findByPersonId(String personId);
}