package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.DistrictInfo;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface DistrictInfoDAO {
	int insert(DistrictInfo entity);
	int update(DistrictInfo entity);
	int exist(String id);
	DistrictInfo get(String id);
	int delete(String id);
	List<DistrictInfo> list();
	List<DistrictInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<DistrictInfo> findByStreetId(String streetId);
    List<DistrictInfo> findActiveByStreetId(String enrollmentType,String type, String streetId);
}