package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.PersonStudent;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface PersonStudentDAO {
	int insert(PersonStudent entity);
	int update(PersonStudent entity);
	int exist(String id);
	PersonStudent get(String id);
	int delete(String id);
	List<PersonStudent> list();
	List<PersonStudent> search(Map<String, Object> searchParams, List<Sort> sortList);
    PersonStudent findByPersonIdAndStudentId(String personId, String studentId);
}