package com.jpsoft.campus.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.campus.modules.base.entity.SchoolNumber;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface SchoolNumberDAO {
	int insert(SchoolNumber entity);
	int update(SchoolNumber entity);
	int exist(String id);
	SchoolNumber get(String id);
	int delete(String id);
	List<SchoolNumber> list();
	List<SchoolNumber> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<SchoolNumber> findByEnrollmentType(String enrollmentType);
	List<SchoolNumber> findHaveNumberBySchoolId(String enrollmentType,String schoolId);
	List<SchoolNumber> findAllHaveNumber();
	int findNumByHaveNumber();
}