package com.jpsoft.campus.modules.base.dao;

import java.util.List;

import com.jpsoft.campus.modules.base.entity.StudentInfo;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.campus.modules.common.dto.Sort;

@Repository
public interface StudentInfoDAO {
	int insert(StudentInfo entity);
	int update(StudentInfo entity);
	int exist(String id);
	StudentInfo get(String id);
	int delete(String id);
	List<StudentInfo> list();
	List<StudentInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
    StudentInfo findByIdCard(String idCard);
}