package com.jpsoft.campus.modules.base.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.models.auth.In;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "省级")
public class UserInformationProvincial {

	private String applicantId;
	private String appId;
	private String applicantName;
	private String applicantPhone;
	private Integer applicantType = 1;
	private String applyNo;
	private Integer applyStatus = 1;
	private String areaCode = "421050000000";
	private String areaName = "荆州经济技术开发区";
	private String formContent = "";
	private String licenseNo;
	private String licenseType = "113";
	private Integer prequalification = 0;
	private Integer sceneBusiness = 1;
	private String sceneName = "教育入学“一件事”";
	private String sceneNo = "42PC00079A24";
	private Integer simpleApproval = 0;
	private String sourceId = "";
	private Integer sourceName = 14;
	private Integer sourceRoute = 1;

	private String targetId;
	private String targetName;
	private Integer targetType = 1;
	private Integer type = 1;

//	private List<UserInformationProvincialSubDeclares> subDeclares;

}