package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.dto.AdjustDetailDTO;
import com.jpsoft.campus.modules.base.entity.AdjustDetail;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface AdjustDetailService {
	AdjustDetail get(String id);
	boolean exist(String id);
	int insert(AdjustDetail model);
	int update(AdjustDetail model);
	int delete(String id);
	List<AdjustDetail> list();
	Page<AdjustDetail> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<AdjustDetailDTO> pageSearchDTO(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}