package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.campus.modules.base.dto.ApportionDetailDTO;
import com.jpsoft.campus.modules.base.entity.ApportionDetail;
import com.jpsoft.campus.modules.common.dto.Sort;
import com.github.pagehelper.Page;

public interface ApportionDetailService {
	ApportionDetail get(String id);
	boolean exist(String id);
	int insert(ApportionDetail model);
	int update(ApportionDetail model);
	int delete(String id);
	List<ApportionDetail> findByStudentId(String studentId);
	List<ApportionDetail> list();
	Page<ApportionDetail> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<ApportionDetailDTO> pageSearchDTO(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}