package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.campus.modules.base.entity.Collect;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface CollectService {
	Collect get(String id);
	boolean exist(String id);
	int insert(Collect model);
	int update(Collect model);
	int delete(String id);
	List<Collect> list();
	Page<Collect> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

	Collect findByPersonId(String personId);
}