package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.campus.modules.base.entity.DistrictInfo;
import com.jpsoft.campus.modules.common.dto.Sort;
import com.github.pagehelper.Page;

public interface DistrictInfoService {
	DistrictInfo get(String id);
	boolean exist(String id);
	int insert(DistrictInfo model);
	int update(DistrictInfo model);
	int delete(String id);
	List<DistrictInfo> list();
	Page<DistrictInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<DistrictInfo> findByStreetId(String streetId);
    List<DistrictInfo> findActiveByStreetId(String enrollmentType,String type, String streetId);
}