package com.jpsoft.campus.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.EnrollControl;
import com.jpsoft.campus.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-17 13:15
 */
public interface EnrollControlService {

    EnrollControl get(String id);
    boolean exist(String id);
    int insert(EnrollControl model);
    int update(EnrollControl model);
    int delete(String id);
    List<EnrollControl> list();
    Page<EnrollControl> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<EnrollControl> findBySchoolTypeAndStudentType(String schoolType, String studentType);

    List<EnrollControl> searchParam(Map<String, Object> searchParams,List<Sort> sortList);
}
