package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.PersonStudent;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface PersonStudentService {
	PersonStudent get(String id);
	boolean exist(String id);
	int insert(PersonStudent model);
	int update(PersonStudent model);
	int delete(String id);
	List<PersonStudent> list();
	Page<PersonStudent> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    PersonStudent findByPersonIdAndStudentId(String personId, String studentId);
}