package com.jpsoft.campus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.campus.modules.base.entity.SchoolInfo;
import com.jpsoft.campus.modules.common.dto.Sort;

public interface SchoolInfoService {
	SchoolInfo get(String id);
	boolean exist(String id);
	int insert(SchoolInfo model);
	int update(SchoolInfo model);
	int delete(String id);
	List<SchoolInfo> list();
	Page<SchoolInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<SchoolInfo> findByEnrollmentType(String enrollmentType);
	long countByParentId(String parentId);
	Boolean hasChildren(String parentId);
	List<SchoolInfo> findByParentId(String parentId);
	int updateParentIdNull(SchoolInfo model);
    List<SchoolInfo> findActiveSchoolByEnrollmentType(String type, String enrollType);
}