package com.jpsoft.campus.modules.base.service.impl;

import com.jpsoft.campus.modules.base.dao.SchoolRelationDAO;
import com.jpsoft.campus.modules.base.entity.SchoolRelation;
import com.jpsoft.campus.modules.base.service.SchoolRelationService;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 墨鱼_mo
 * @date 2020-7-2 14:31
 */
@Component(value="schoolRelationService")
@Transactional
public class SchoolRelationServiceImpl implements SchoolRelationService {

    @Resource
    private SchoolRelationDAO schoolRelationDAO;

    @Override
    public List<SchoolRelation> findByPrimaryId(String primaryId) {
        return schoolRelationDAO.findByPrimaryId(primaryId);
    }
}
